From 6f57c9024085cfce43cfdb43b646cbd1c16ef84f Mon Sep 17 00:00:00 2001
From: Haidong Yu <yuhaidong@uniontech.com>
Date: Wed, 9 Jun 2021 20:53:59 +0800
Subject: [PATCH] shell32: Fix a memory leak.

Signed-off-by: Haidong Yu <yuhaidong@uniontech.com>
---
 dlls/shell32/shlexec.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/dlls/shell32/shlexec.c b/dlls/shell32/shlexec.c
index ce0b8f6d2be..ee1e832df33 100644
--- a/dlls/shell32/shlexec.c
+++ b/dlls/shell32/shlexec.c
@@ -1763,7 +1763,8 @@ static BOOL SHELL_execute( LPSHELLEXECUTEINFOW sei, SHELL_ExecuteW32 execfunc )
         buf = heap_alloc(size * sizeof(WCHAR));
         if (!buf || FAILED(PathCreateFromUrlW(sei_tmp.lpFile, buf, &size, 0))) {
             heap_free(buf);
-            return SE_ERR_OOM;
+            retval = SE_ERR_OOM;
+            goto end;
         }
 
         heap_free(wszApplicationName);
-- 
2.20.1

